//
//  KKSideNavigationController.h
//  KKNews
//
//  Created by qiyu on 5/3/13.
//  Copyright (c) 2013 qiyutan. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    KKNavigationStateNormal,
    KKNavigationStateLeft, //show the left side bar with content view floating on the right
    KKNavigationStateRight, //show the right side bar with content view floating on the left
}KKNavigationState;

@interface KKSideNavigationController : UIViewController

@property(nonatomic, strong) UIViewController *leftSideBarController;
@property(nonatomic, strong) UIViewController *rightSideBarController;
@property(nonatomic, strong) UIViewController *contentViewController;
@property(nonatomic, assign) KKNavigationState navigationState;
@property(nonatomic, assign) BOOL contentHidden;

+ (id)sharedController;

@end
